# Class CIM_IRQ
extends CIM_SystemResource

Personal computer architecture IRQ.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_SystemResource
|
+--CIM_IRQ

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Personal computer architecture IRQ.
UMLPackagePath | string | CIM::System::SystemResources
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Availability | uint16 |
Description | string | Availability of the IRQ.
MappingStrings | string | MIF.DMTF|IRQ|002.2
ValueMap | string | 1, 2, 3, 4, 5
Values | string | Other, Unknown, Available, In Use/Not Available, In Use and Available/Shareable
CreationClassName | string |
Description | string | CreationClassName indicates the name of the class or the subclass used in the creation of an instance. When used with the other key properties of this class, this property allows all instances of this class and its subclasses to be uniquely identified.
Key | boolean | true
MaxLen | uint32 | 256
CSCreationClassName | string |
Description | string | The scoping ComputerSystem's CreationClassName.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_ComputerSystem.CreationClassName
CSName | string |
Description | string | The scoping ComputerSystem's Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_ComputerSystem.Name
Hardware | boolean |

Description

string

The Hardware property indicates whether the interrupt is hardware or software based. (If TRUE, the interrupt is hardware based.) On a personal computer, a hardware IRQ is a physical wire to a programmable interrupt controller (PIC) chip, through which the CPU can be notified of time critical events. Some IRQ lines are reserved for standard Devices such as the keyboard, floppy disk drives, and the system clock. A software interrupt is a programmatic mechanism to allow an application to get the attention of the Processor.

IRQNumber | uint32 |
Description | string | A part of the object's key value, IRQ Number.
Key | boolean | true
MappingStrings | string | MIF.DMTF|IRQ|002.1
Shareable | boolean |
Description | string | Boolean indicating whether the IRQ can be shared.
MappingStrings | string | MIF.DMTF|IRQ|002.4
Override | string | Shareable
TriggerLevel | uint16 |
Description | string | IRQ trigger level indicating whether the interrupt is triggered by the hardware signal going high (value=4) or low (value=3). Also, "Other" (1) and "Unknown" (2) may be defined.
MappingStrings | string | MIF.DMTF|System Resource IRQ Info|001.3
ValueMap | string | 1, 2, 3, 4
Values | string | Other, Unknown, Active Low, Active High
TriggerType | uint16 |
Description | string | IRQ trigger type indicating whether edge (value=4) or level triggered (value=3) interrupts occur. Also, "Other" (1) and "Unknown" (2) may be defined.
MappingStrings | string | MIF.DMTF|IRQ|002.3, MIF.DMTF|System Resource IRQ Info|001.2
ValueMap | string | 1, 2, 3, 4
Values | string | Other, Unknown, Level, Edge

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
ImplementationInfo | uint16 | CIM_SystemResource
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement